# // ******************************
# // RoundSound v3.1
# //      for Counter-Strike: Source
# //
# // * Description:
# //      RoundSound for End and variable for C/T
# //
# // * Install instructions:
# //       1. Install Mattie's EventScripts plugins:
# //            http://mattie.info/cs
# //
# //       2. Add the following line somewhere in autoexec.cfg:
# //           es_load RoundSound
# //
# // ******************************
import es, random, fileinput, os.path, cPickle

info = es.AddonInfo() 
info.name     = "es_RoundSound" 
info.version  = "3.1" 
info.url      = "http://holy-mod.de" 
info.basename = "RoundSound" 
info.author   = "TanaToS"


es_RoundSound	= es.ServerVar("es_RoundSound",	"RoundSound -- 3.1 -- TanaToS", "Name/Version/Modder of RoundSound")
#_dict_RS = {}
rs_tmax = 0
rs_ctmax = 0
rs_prefix = "#default[#greenRoundSound#default]#green:#default "

def load():
	global rs_tmax, rs_ctmax
	if not es.exists('saycommand','!rs'):
		es.regsaycmd('!rs', 'RoundSound/onoffcmd', '[RoundSound]:ON/OFF CMD')
	es_RoundSound.makepublic()
	if os.path.isfile(es.getAddonPath('RoundSound') + '/RS_TWINSOUNDS.txt'):
		for line in fileinput.input(es.getAddonPath('RoundSound') + '/RS_TWINSOUNDS.txt'):
			es.stringtable('downloadables', 'sound/' + line)
			rs_tmax = rs_tmax + 1
	else:
		es.dbgmsg(0,'[RoundSound]: ERROR - Unable to load RS_TWINSOUNDS.txt!')
	if os.path.isfile(es.getAddonPath('RoundSound') + '/RS_CTWINSOUNDS.txt'):
		for line in fileinput.input(es.getAddonPath('RoundSound') + '/RS_CTWINSOUNDS.txt'):
			es.stringtable('downloadables', 'sound/' + line)
			rs_ctmax = rs_ctmax + 1
	else:
		es.dbgmsg(0,'[RoundSound]: ERROR - Unable to load RS_CTWINSOUNDS.txt!')
	'''if os.path.isfile(es.getAddonPath('RoundSound') + '/rs_USERERS.db'):
		global _dict_RS
		rs_Users_File = open(es.getAddonPath('RoundSound') + '/rs_USERERS.db')
		_dict_RS = cPickle.load(rs_Users_File)
		rs_Users_File.close()'''
		

def unload():
	if es.exists('saycommand','!rs'):
		es.unregsaycmd('!rs', 'RoundSound/onoffcmd', '[RoundSound]:ON/OFF CMD')
	'''global _dict_RS
	rs_Users_File = open(es.getAddonPath('RoundSound') + '/rs_USERERS.db', 'w')
	_dict_RS = cPickle.dump(rs_Users_File)
	rs_Users_File.close()'''

def es_map_start():
	global rs_tmax, rs_ctmax
	if os.path.isfile(es.getAddonPath('RoundSound') + '/RS_TWINSOUNDS.txt'):
		for line in fileinput.input(es.getAddonPath('RoundSound') + '/RS_TWINSOUNDS.txt'):
			es.stringtable('downloadables', 'sound/' + line)
			rs_tmax = rs_tmax + 1
	else:
		es.dbgmsg(0,'[RoundSound]: ERROR - Unable to load RS_TWINSOUNDS.list!')
	if os.path.isfile(es.getAddonPath('RoundSound') + '/RS_CTWINSOUNDS.txt'):
		for line in fileinput.input(es.getAddonPath('RoundSound') + '/RS_CTWINSOUNDS.txt'):
			es.stringtable('downloadables', 'sound/' + line)
			rs_ctmax = rs_ctmax + 1
	else:
		es.dbgmsg(0,'[RoundSound]: ERROR - Unable to load RS_CTWINSOUNDS.txt!')

'''def player_activate(ev):
	global _dict_RS
	userid = ev['userid']
	steamid = ev['es_steamid']
	if _dict_RS.has_key(steamid):
		es.tell(userid, '#multi', '%sTo set RoundSound of or off type !rs' % (rs_prefix))
	else:
		_dict_RS[steamid] = {}
		_dict_RS[steamid]['SOUND'] = {}
		_dict_RS[steamid]['SOUND'] = 'ON'

		es.tell(userid, '#multi', '%sTo set RoundSound of or off type !rs' % (rs_prefix))'''
	

'''def onoffcmd():
	global _dict_RS
	userid = es.getcmduserid()
	steamid = es.getplayersteamid(userid)
	if _dict_RS.has_key(steamid):
		rs_onoroff = _dict_RS[steamid]['SOUND']
		if rs_onoroff == 'ON':
			_dict_RS[steamid]['SOUND'] = 'OFF'
			es.tell(userid, '#multi', '%sYour RoundSound has be setted off type !rs for on' % (rs_prefix))
		elif rs_onoroff == 'OFF':
			_dict_RS[steamid]['SOUND'] = 'ON'
			es.tell(userid, '#multi', '%sYour RoundSound has be setted on type !rs for off' % (rs_prefix))'''

def round_end(event_var):
	global rs_tmax, rs_ctmax
	winner = event_var['winner']
	if winner == "2":
		es.set('_rs_ess_randint', '0')
		es.server.cmd('es_rand _rs_ess_randint 1 %i' % (rs_tmax))
		rs_playnum = es.ServerVar('_rs_ess_randint')
		rs_linenr = 0
		for line in fileinput.input(es.getAddonPath('RoundSound') + '/RS_TWINSOUNDS.txt'):
			rs_linenr = rs_linenr + 1
			if rs_linenr == rs_playnum:
				es.cexec_all('playgamesound', line)
	elif winner == "3":
		es.set('_rs_ess_randint', '0')
		es.server.cmd('es_rand _rs_ess_randint 1 %i' % (rs_ctmax))
		rs_playnum = es.ServerVar('_rs_ess_randint')
		rs_linenr = 0
		for line in fileinput.input(es.getAddonPath('RoundSound') + '/RS_CTWINSOUNDS.txt'):
			rs_linenr = rs_linenr + 1
			if rs_linenr == rs_playnum:
				es.cexec_all('playgamesound', line)

# ******************************
#   END ROUNDSOUND SCRIPT
# ****************************** 
